Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class AssignCmd

    java.lang.Object
      javafe.ast.ASTNode
          escjava.ast.GuardedCmd
              escjava.ast.AssignCmd

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  GetsCmd, RestoreFromCmd, SubGetsCmd, SubSubGetsCmd

public abstract class AssignCmd
extends GuardedCmd

Field Summary
`Expr` | `rhs`
`VariableAccess` | `v`

Fields inherited from class javafe.ast.ASTNode
``

Constructor Summary
`protected` | `AssignCmd()` Construct a raw AssignCmd whose class invariant(s) have not yet been established.

Method Summary
`void` | `check()`
`int` | `getEndLoc()`
`int` | `getStartLoc()`

Methods inherited from class escjava.ast.GuardedCmd
`accept, accept, childAt, childCount, getTag, toString`

Methods inherited from class javafe.ast.ASTNode
`clone, clone, getDecorations, setDecorations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### v

    public VariableAccess v

### rhs

    public Expr rhs

Constructor Detail

### AssignCmd

    protected AssignCmd()

  Construct a raw AssignCmd whose class invariant(s) have not yet been established. It is the caller's job to initialize the returned node's fields so that any class invariants hold.

Method Detail

### getStartLoc

    public int getStartLoc()

  Specified by:
    `getStartLoc` in class `ASTNode`

### getEndLoc

    public int getEndLoc()

  Overrides:
    `getEndLoc` in class `ASTNode`

### check

    public void check()

  Overrides:
    `check` in class `GuardedCmd`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage